import Cache from './Cache.js';
import Log from './Log.js';

export default class CacheManager {

    static STORAGE = [];

    static CACHES = [
        // new Cache('EXAMPLE_1').hours(2),
        // new Cache('EXAMPLE_2').minutes(2).limit(5),
    ]

    static init() {
        for (const cache of this.CACHES) {
            this.STORAGE.push(cache);
            Log.log(`Init: ${cache.information()}`);
        }
    }

    static add(cacheKey, value, valueKey = null) {
        if (!valueKey) valueKey = cacheKey;
        const cache = this._findCache(cacheKey);
        return cache.add(valueKey, value);
    }

    static get(cacheKey, valueKey = null) {
        if (!valueKey) valueKey = cacheKey;
        const cache = this._findCache(cacheKey);
        return cache.get(valueKey);
    }

    static _findCache(cacheKey){
        for (const cache of this.STORAGE) {
            if (cache.key === cacheKey) {
                return cache;
            }
        }
    }

}