import simplecrypt from 'simplecrypt';
import crypto from 'crypto';

export default class Encriptor {

    static UUID() {
        return crypto.randomUUID();
    }

    constructor(password, salt) {
        this._password = password;
        this._salt = salt;
        this.sc = this._create();
    }

    encrypt(message) {
        return this.sc.encrypt(message);
    }

    decrypt(diggest) {
        return this.sc.decrypt(diggest)
    }

    _create() {
        return simplecrypt({ password: this._password, salt: this._salt });
    }

}