import Encriptor from "./Encriptor.js";
import Environment from "./Environment.js";

export default class EncriptorManager {

    static _INSTANCE;

    static get password() {
        this._initManagerIfNeccesary();
        return this._INSTANCE._password;
    }

    static get _session() {
        this._initManagerIfNeccesary();
        return this._INSTANCE._session;
    }

    static _initManagerIfNeccesary() {
        if (!this._INSTANCE) {
            this._INSTANCE = new EncriptorManager();
        }
    }

    constructor() {
        this._password = new Encriptor(
            Environment.read('PASSWORD_PASSWORD'), 
            Environment.read('PASSWORD_SALT')
        );
        
        this._session = new Encriptor(
            Environment.read('SESSION_PASSWORD'), 
            Environment.read('SESSION_SALT')
        );
    }

}