import fs from 'fs';

export default class File {

    static JSON = 'json';

    static readJson(path) {
        const file = this._read(path)
        return JSON.parse(file);
    }

    static writeJson(data, path = null) {
        if (!path) path = this._randomPath(this.JSON)
        const jsonData = JSON.stringify(data);
        this._write(path, jsonData)
    }

    static _randomPath(type) {
        const timestampNow = Date.now();
        return `data_${timestampNow}.${type}`;
    }

    static _read(path) {
        return fs.readFileSync(path);
    }

    static _write(path, data) {
        fs.writeFileSync(path, data);
    }

}