import DateUtil from './DateUtil.js';

export default class Filter {

  static today(array = [], property) {
    const today = DateUtil.now();
    return array.filter(object => {
      const date = new Date(object[property]);
      return DateUtil.isSameDay(today, date);
    });
  }

  static chunk(array, size) {
    const chunks = []
    const totalChunks = Math.ceil(array.length / size);

    let totalChunked = 0;
    for (let index = 0; index < totalChunks; index++) {
      const chunk = array.slice(totalChunked, totalChunked + size);
      totalChunked += chunk.length;
      chunks.push(chunk);
    }
    return chunks;
  }

}
