export default class IPExtractor {

  static fromRequest(req) {
    let ip = this._extractIP(req);
    if (ip) {
      ip = ip.replace('::ffff:', '');
    }
    return ip;
  }

  static _extractIP(req) {
    const realIp = this._extractXRealIP(req);
    if (realIp) {
      return realIp;
    }
    return req.ip || req.socket.remoteAddress;
  }

  static _extractXRealIP(req) {
    const headers = req.headers;
    return headers['x-real-ip'];
  }

}
