export default class LimitedArray {
    
    constructor(limit = 1) {
        this.limit = limit;
        this.array = [];

        this.lastAdded = null;
        this.lastRemoved = null;
    }

    add(item){
        if (this._limitReached()) {
            this.lastRemoved = this.array.pop();
        }
        this.array.unshift(item);
        this.lastAdded = item;
        return this;
    }

    addMultiple(items){
        for (const item of items) {
            this.add(item)
        }
        return this;
    }

    result() {
        return this.array;
    }

    clear() {
        this.array = [];
        return this;
    }

    getLastRemoved() {
        return this.lastRemoved;
    }

    getLastAdded() {
        return this.lastAdded;
    }

    _size() {
        return this.array.length;
    }

    _limitReached() {
        return this.limit === this._size();
    }

}