import DateUtil from "./DateUtil.js";
import Environment from "./Environment.js";

export default class Log {

    static log(message, data = null) {
        this._logWithDate(`[INFO]: ${message}`, data);
    }

    static measure(message, data = null) {
        if (!Environment.MEASURE()) return;
        this._logWithDate(`[MEASURE]: ${message}`, data);
    }

    static debug(message, data = null) {
        if (!Environment.DEBUG()) return;
        this._logWithDate(`[DEBUG]: ${message}`, data);
    }

    static warn(message, data = null) {
        this._logWithDate(`[WARN]: ${message}`, data);
    }

    static error(message, error = null) {
        this._logWithDate(`[ERROR]: ${message}`, error);
    }

    static _logWithDate(message, data) {
        console.log(`${this._UTCDate()} - ${message}`);
        if (data) {
            console.log(data);
        }
    }

    static _UTCDate() {
        return DateUtil.now().toUTCString();
    }

}