export default class MathUtil {

    static multiplyNumber(number, multiplier) {
        if (this._isThousandMultipier(multiplier)) {
            return number * 1000;
        }
        return number;
    }

    static differencePercentage(number1, number2) {
        return ((number2 - number1) * 100) / number1;
    }

    static average(values) {
        if (!values?.length) return 0;
        const sum = values.reduce((prev, next) => prev + next);
        return Math.round(sum / values.length);
    }

    static percentageOf(value, total){
        return Math.round(value  * 100 / total);
    }

    static decimalPercentageOf(value, total){
        const number = value * 100 / total;
        return number.toFixed(2);
    }

    static isPositive(number) {
        return Math.sign(number) === 1;
    }

    static isNegative(number) {
        return number !== 0 && !this.isPositive(number);
    }

    static _isThousandMultipier(multiplier) {
        return multiplier === 'K' || multiplier === 'k';
    }

}