export default class Reflection {

    static getMethods(obj) {
        let methods = [];

        Object.getOwnPropertyNames(obj)
            .forEach(prop => {
                if (typeof obj[prop] === 'function') methods.push(prop);
            });

        while (obj = Reflect.getPrototypeOf(obj)) {
            let keys = Reflect.ownKeys(obj);
            keys.forEach((k) => methods.push(k));
        }
        return methods;
    }

}