
import sizeof from "object-sizeof";

export default class Size {

  static BLOCK_SIZE = 1024;

  static fromObject(object) {
    const bytes = sizeof(object);
    return this.fromBytes(bytes)
  }

  static fromBytes(bytes) {
    const size = new Size();
    size.bytes = bytes;
    return size;
  }

  bytes;

  toKB() {
    const kb = this.bytes / Size.BLOCK_SIZE;
    return kb.toFixed(2);
  }

  toMB() {
    const mb = this.bytes / (Size.BLOCK_SIZE * Size.BLOCK_SIZE);
    return mb.toFixed(2);
  }

  toGB() {
    const gb = this.bytes / (Size.BLOCK_SIZE * Size.BLOCK_SIZE * Size.BLOCK_SIZE);
    return gb.toFixed(2);
  }

}
