import Apt from './Apt.js';
import Command from './Command.js';

export default class UnixPackage extends Command {

  constructor(name, command, sudo = false) {
    super(command, sudo);
    this.name = name;
  }

  async init() {
    const isInstalled = await this.isInstalled();
    if (!isInstalled) {
      await this.install();
    }
  }

  // FIXME: This only works over Ubuntu based
  async install() {
    const apt = new Apt(true);
    return apt.installPackage(this.name);
  }

}
