import Path from "./Path.js";

export default class UrlPath {

  static path(url) {
    return new URL(url).pathname;
  }

  static dir(url) {
    const path = this.path(url);
    return Path.dir(path);
  }

  static ext(url) {
    return this.extension(url);
  }

  static extension(url) {
    const path = this.path(url);
    return Path.extension(path);
  }

  static fileName(url) {
    const path = this.path(url);
    return Path.fileName(path);
  }

  static completeFileName(url) {
    const path = this.path(url);
    return Path.completeFileName(path);
  }

  static replaceExtension(url, newExtension) {
    const extension = this.extension(url);
    return url.replace(`.${extension}`, `.${newExtension}`);
  }

}
