export default class PassMiddleware {

  static create() {
    return this._middleware.bind(this);
  }

  static async _shouldPass(req, res) {
    // Override by children.
  }

  static async _onError(req, res) {
    // Override by children.
  }

  static async _middleware(req, res, next) {
    if (await this._shouldPass(req, res)) {
      next();
    } else {
      await this._onError(req, res);
    }
  }

}

