import assert from 'assert';
import DateUtil from '../src/DateUtil.js';
import Language from '../src/Language.js';

describe('DateUtil.js', function() {

  describe('#getLocaleFromLanguageCode(languageCode)', function() {

    it('should return correctly the locale for the "es" value', function() {
      var languageCode = Language.SPANISH;

      var expected = 'es-ES';
      var result = DateUtil.getLocaleFromLanguageCode(languageCode);
      assert.deepStrictEqual(result, expected);
    });

    it('should return correctly the locale for the "en" value', function() {
      var languageCode = Language.ENGLISH;

      var expected = 'en-US';
      var result = DateUtil.getLocaleFromLanguageCode(languageCode);
      assert.deepStrictEqual(result, expected);
    });

  });

  describe('#isToday(date)', function() {

    it('TRUE when today is passed', function() {
      const today = new Date();
      assert.ok(DateUtil.isToday(today));
    });

    it('FALSE when yesterday is passed', function() {
      const yesterday = DateUtil.yesterday()
      assert.deepStrictEqual(DateUtil.isToday(yesterday), false);
    });

  });

});

