import assert from 'assert';
import Filter from '../src/Filter.js';

describe('Filter.js', function() {

  describe('#today(array, property)', function() {

    it('properly find today by property', function() {
      var array = [{ date: new Date() }, { date: new Date().setFullYear(1900) }, { date: new Date().setFullYear(2020) }];

      var result = Filter.today(array, 'date');
      assert.deepEqual(result.length, 1);
    });

  });

  describe('#chunk(array, size)', function() {

    it('chunk a 500 number array by 50', function() {
      const array = [];
      for (let index = 0; index < 500; index++) {
        array.push(index);
      }

      var result = Filter.chunk(array, 50);
      assert.deepEqual(result.length, 10);
    });

  });


});

