import assert from 'assert';
import Job from '../src/Job.js';

describe('Job.js', function() {

  describe('#start(cacheKey)', function() {

    it('correctly starts a new job', function() {
      Job.Cron = MockCron;
      const cronTime = Job.HALF_HOUR;
      const job = Job.start(cronTime, () => {
        console.log('Wow a test!');
      }, 'Test Job');

      assert.deepEqual(job.time, cronTime);
      assert.ok(job.callback.toString().includes('callback()'));
      assert.ok(job.started);
    });

  });

});

class MockCron {

  constructor(time, callback) {
    this.time = time;
    this.callback = callback;
    this.started = false;
  }

  start() {
    this.started = true;
  }

}

