import assert from 'assert';
import NumberUtil from '../src/NumberUtil.js';
import Language from '../src/Language.js';

describe('NumberUtil.js', function () {

    describe('#toLocaleString(date, languageCode)', function () {

        it('should return correctly the locale number for the "es" value', function () {
            var languageCode = Language.SPANISH;
            var number = 1_500;

            var expected = '1500';
            var result = NumberUtil.toLocaleString(number, languageCode);
            assert.deepStrictEqual(result, expected);
        });

        it('should return correctly the locale number for the "en" value', function () {
            var languageCode = Language.ENGLISH;
            var number = 3_200;

            var expected = '3,200';
            var result = NumberUtil.toLocaleString(number, languageCode);
            assert.deepStrictEqual(result, expected);
        });
    });

});
