import assert from 'assert';
import ObjectComparer from '../src/ObjectComparer.js';

describe('ObjectComparer.js', function () {

    describe('#compare(object1, object2)', function () {

        it('easy to compare, like: bool, string, number', function () {
            assert.ok(ObjectComparer.compare(false, false));
            assert.ok(ObjectComparer.compare('Same', 'Same'));
            assert.ok(ObjectComparer.compare(2, 2));
        });
        
        it('compare two dates', function () {
            const date = new Date();
            const sameDate = new Date();
            assert.ok(ObjectComparer.compare(date, sameDate));
            
            const notSameDate = new Date().setFullYear(1950);
            assert.deepEqual(ObjectComparer.compare(date, notSameDate), false);
        });

        it('compare two objects', function () {
            const object = { name: 'John', age: 12 };
            const sameObject = { name: 'John', age: 12 };
            assert.ok(ObjectComparer.compare(object, sameObject));
        });

        it('compare two arrays', function () {
            const array = [1, 6, 5, 3, 'hey!'];
            const sameArray = [5, 3, 6, 'hey!', 1];
            assert.ok(ObjectComparer.compare(array, sameArray));
        });

    });

});
