import assert from 'assert';
import Reflection from '../src/Reflection.js';

describe('Reflection.js', function () {

    describe('#getMethods(obj)', function () {

        it('should return its itself methods length and contains method', function () {
            var methods = Reflection.getMethods(Reflection); 
            
            var expected = 23;
            var result = methods.length;
            assert.deepStrictEqual(result, expected);
        });

        it('should return this itself method', function () {
            var methods = Reflection.getMethods(Reflection); 
            
            var methodName = 'getMethods';
            var expected = true;
            var result = methods.includes(methodName);
            assert.deepStrictEqual(result, expected);
        });

        it('should return default object methods length', function () {
            var expected = 12;
            var result = Reflection.getMethods({}).length;
            assert.deepStrictEqual(result, expected);
        });

    });

});
