import assert from 'assert';
import Responder from '../src/Responder.js';

describe('Responder.js', function() {

  describe('#OK(res)', function() {

    it('properly send the response', function() {
      const res = new MockResponse();

      Responder.OK(res);
      assert.deepEqual(res.statusCode, 200);
      assert.ok(res.response.includes('OK'));
    });

  });

  describe('#UNAUTHORIZED(res)', function() {

    it('properly send the response', function() {
      const res = new MockResponse();

      Responder.UNAUTHORIZED(res);
      assert.deepEqual(res.statusCode, 403);
      assert.ok(res.response.includes('UNAUTHORIZED'));
    });

  });

  describe('#JSON(res, object, statusCode)', function() {

    it('properly send the response', function() {
      const res = new MockResponse();

      Responder.JSON(res, { status: 'ERROR' }, 500);
      assert.deepEqual(res.statusCode, 500);
      assert.deepEqual(res.headers['Content-Type'], 'application/json');
      assert.ok(res.response.includes('ERROR'));
    });

  });
});


class MockResponse {

  statusCode;
  headers;
  response;

  writeHead(statusCode, headers) {
    this.statusCode = statusCode;
    this.headers = headers
  }

  end(response) {
    this.response = response;
  }


}
