import assert from 'assert';
import StringReplacer from '../src/StringReplacer.js';

describe('StringReplacer.js', function () {
  
    describe('#replaceIndexBy(string, index, replacementText)', function () {
        
        it('should return same string if index is out of string', function () {
            var string = "hello world";
            var index = -2;
            var replacementText = "test";

            var expected = string;
            var result = StringReplacer.replaceIndexBy(string, index, replacementText);

            assert.deepStrictEqual(result, expected);
        });

        it('should insert char correctly at index', function () {
            var string = "hello world";
            var index = 5;
            var replacementText = "-";

            var expected = "hello-world";
            var result = StringReplacer.replaceIndexBy(string, index, replacementText);

            assert.deepStrictEqual(result, expected);
        });

        it('should insert text correctly at index', function () {
            var string = "hello world";
            var index = 5;
            var replacementText = "-entire-text-";

            var expected = "hello-entire-text-world";
            var result = StringReplacer.replaceIndexBy(string, index, replacementText);

            assert.deepStrictEqual(result, expected);
        });

    });
  
});
