import assert from 'assert';
import StringTemplateReplacer from '../src/StringTemplateReplacer.js';

describe('StringTemplateReplacer.js', function () {

    describe('#replace(text, ...values)', function () {

        it('should return the same text if has no values to replace', function () {
            var text = "this is a simple text";

            var expected = text;
            var result = StringTemplateReplacer.replace(text);

            assert.deepStrictEqual(result, expected);
        });

        it('should return the text with the value replaced', function () {
            var text = "this is a {0} text";
            var text0 = "sample";

            var expected = "this is a sample text";
            var result = StringTemplateReplacer.replace(text, text0);

            assert.deepStrictEqual(result, expected);
        });

        it('should return the text with the values replaced', function () {
            var text = "this is a {0} {1}";
            var text0 = "sample";
            var text1 = "text";

            var expected = "this is a sample text";
            var result = StringTemplateReplacer.replace(text, text0, text1);

            assert.deepStrictEqual(result, expected);
        });

    });

});
